Subject: [IPFIX] ipfix-configuration-02

From: kobayashi atsushi <[email-masked]>
Date: Wed, 22 Aug 2007 03:02:13 +0900

Hi Gerhard and all,

I have reviewed, shortly. It is interesting. I think that it is valuable
to complement for IPFIX-MIB. I have listed up my comments, as follows.

- 1. Specific issue
IMHO, Metering Process Id is necessary.
Already this topics has been discussed in another thread. If it does not
has the id, we cannot identify the following cases.

Case#1)
ObservationPoint#1 ------> MeteringProcess#1 
                           (SelectionProcess =my_sampler and my_filter)
ObservationPoint#2 ------> MeteringProcess#2
                           (SelectionProcess =my_sampler and my_filter)
Case#2)
ObservationPoint#1 ----+ 
                       +-> MeteringProcess#1
ObservationPoint#2 ----+   (SelectionProcess =my_sampler and my_filter)

I think that both cases are presented by same XML configuration. But,
the outputs of metering process are different. Especially it depends on
the sampling methods.

  <ObservationPoint>
    <observationDomainId>12345</observationDomainId>
    <Interface>
      <ifName>eth0</ifName>
    </Interface>
    <MeteringProcess>
      <SelectionProcess id="my_sampler" />
      <CacheParameters id="my_cache" />
    </MeteringProcess>

::

  <ObservationPoint>
    <observationDomainId>54321</observationDomainId>
    <Interface>
      <ifName>eth1</ifName>
    </Interface>
    <MeteringProcess>
      <SelectionProcess id="my_sampler" />
      <CacheParameters id="my_cache" />
    </MeteringProcess>

- 5.1 ObservationPoint Class
I hope that it includes the direction of observed traffic. The type of 
direction corresponds to "in", "out", "both".

- 5.3.2 Filter Class
I hope that FilterMatch can operate OR and AND. According to
"draft-ietf-psamp-sample-tech-10", it indicates that OR operations are not
supported with this basic model. But, general ACL list of routers has
both operation. IMHO, the XML data models can easily present OR and AND
operations. 

- 5.4 CacheParameters Class
If we select the "immediate" type, the IPFIX datagram might have only
one flow records. Generally, the load of router depends on the volume of
IPFIX packets. Preferably, it is better that IPFIX datagram has multiple
flow records. To mitigate it, I hope that this class has the maximum
timer until it exports them.
Even if we select "immediate", it can wait until time out, or the flow
records are filled in the IPFIX packet.

- 5.4.1 Template Class
I understood that it indicates template id can be assigned by user. I
agree it. But, it seems to become difficult to keep the unique template
id. In case of assignment by user, it seems to need to add a note of
caution. 

--- 
Atsushi KOBAYASHI  <[email-masked]>
NTT Information Sharing Platform Lab.
tel:+81-(0)422-59-3978 fax:+81-(0)422-59-5637

_______________________________________________
IPFIX mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipfix